> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Doctor

> ### Overview
Update an existing doctor's profile. Only the fields included in the request body will be updated; all fields are optional.

**Endpoint:** `{{HOST}}/cdr/v1/doctor/{doc_id}/`

**Method:** `PATCH`

### Path Parameters

| Parameter | Type   | Description                          | Required |
| --------- | ------ | ------------------------------------ | -------- |
| doc_id    | string | Doctor's Eka ID                      | Yes      |



## OpenAPI

````yaml patch /cdr/v1/doctor/{doc_id}/
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /cdr/v1/doctor/{doc_id}/:
    patch:
      tags:
        - Doctor and clinic API
      summary: Update Doctor
      description: >-
        ### Overview

        Update an existing doctor's profile. Only the fields included in the
        request body will be updated; all fields are optional.


        **Endpoint:** `{{HOST}}/cdr/v1/doctor/{doc_id}/`


        **Method:** `PATCH`


        ### Path Parameters


        | Parameter | Type   | Description                          | Required |

        | --------- | ------ | ------------------------------------ | -------- |

        | doc_id    | string | Doctor's Eka ID                      | Yes      |
      operationId: UpdateDoctor
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: doc_id
          in: path
          description: Doctor's Eka ID
          required: true
          style: simple
          schema:
            type: string
            example: do1769174683513
      requestBody:
        description: Fields to update on the doctor profile. All fields are optional.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                firstname:
                  type: string
                  example: Rajesh
                lastname:
                  type: string
                  example: Sharma
                mobile:
                  type: string
                  example: '0000011111'
                email:
                  type: string
                  format: email
                  example: dr.rajesh@example.com
                gender:
                  type: string
                  enum:
                    - M
                    - F
                    - O
                  example: M
                dob:
                  type: string
                  example: '1999-01-01'
                specialisations:
                  type: array
                  items:
                    type: string
                  example:
                    - Cardiology
                qualifications:
                  type: array
                  items:
                    type: string
                  example:
                    - MBBS
                    - MD
                about:
                  type: string
                  example: Updated bio
                profile_image_url:
                  type: string
                  format: uri
                  example: https://example.com/images/dr-rajesh.jpg
                clinic_ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    Add these Eka clinic IDs to the doctor's existing clinic
                    associations
                  example:
                    - c-ab2c-34f2d-2gwd-2g2g
                partner_clinic_ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    Add clinics matching these partner IDs to the doctor's
                    existing clinic associations
                  example:
                    - Part_clinic_1
                partner_id:
                  type: string
                  example: Part_doc
            example:
              about: Updated bio for the doctor
              specialisations:
                - Cardiology
              clinic_ids:
                - c-ab2c-34f2d-2gwd-2g2g
      responses:
        '200':
          description: OK - Doctor updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  ekaid:
                    type: string
                    example: do1769174683513
        '400':
          description: Bad Request - Validation failed or doc_id missing
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Doctor ID is required for PATCH
        '404':
          description: Doctor not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Doctor not found

````